package rip.iwakura.civilcore.commands;

import java.sql.SQLException;

import org.bukkit.Bukkit;
import org.bukkit.command.Command;
import org.bukkit.command.CommandExecutor;
import org.bukkit.command.CommandSender;
import org.bukkit.entity.Player;
import org.bukkit.event.player.PlayerEvent;

import net.md_5.bungee.api.ChatColor;
import rip.iwakura.civilcore.Utils;
import rip.iwakura.civilcore.CivilCore;
import rip.iwakura.civilcore.types.DbPlayer;
import rip.iwakura.civilcore.types.Team;

public class TeamChatCommand implements CommandExecutor {
  private CivilCore civilCore = null;

  public TeamChatCommand(CivilCore civilCore) {
    this.civilCore = civilCore;
  }

  @Override
  public boolean onCommand(CommandSender sender, Command command, String label, String[] args) {
    args = Utils.parser(args).toArray(new String[0]);

    if (!(sender instanceof Player)) return true;

    Player p = (Player) sender;

    /*if (civilCore.teamChatRegister.contains(p)) {
      civilCore.teamChatRegister.remove(p);
      p.sendMessage(ChatColor.GREEN + "You are now in the " + ChatColor.GOLD + "GLOBAL" + ChatColor.GREEN + " channel");
      return true;
    }

    if (civilCore.db.getPlayerByName(p.getName()).team.name == null) {
      p.sendMessage(ChatColor.RED + "You aren't in a team :(");
      return true;
    }
    civilCore.teamChatRegister.add(p);
    p.sendMessage(ChatColor.GREEN + "You are now in the " + ChatColor.GOLD + "TEAM" + ChatColor.GREEN + " channel");*/

    // /c [msg] -> if team chat toggled: broadcast to global chat, if global chat toggled send to team
    // /tc or /c -> switch between global chat & team chat

    if (args.length == 0) {
      if (civilCore.teamChatRegister.contains(p)) {
        civilCore.teamChatRegister.remove(p);
        p.sendMessage(ChatColor.GREEN + "You are now in the " + ChatColor.GOLD + "GLOBAL" + ChatColor.GREEN + " channel");
        return true;
      } else {
        civilCore.teamChatRegister.add(p);
        p.sendMessage(ChatColor.GREEN + "You are now in the " + ChatColor.GOLD + "TEAM" + ChatColor.GREEN + " channel");
        return true;
      }
    }

    String message = String.join(" ", args);
    if (civilCore.teamChatRegister.contains(p)) {
      civilCore.teamChatRegister.remove(p);
      Bukkit.broadcastMessage(ChatColor.DARK_GREEN + "TEAM > " + ChatColor.GREEN + p.getName() + ": " + message);
      civilCore.teamChatRegister.add(p);
    } else {
      civilCore.teamChatRegister.add(p);
      Bukkit.broadcastMessage(p.getName() + ": " + message);
      civilCore.teamChatRegister.remove(p);
    }



    return true;
  }
}
